#!/usr/bin/env python
# 2008 copyright David D Lowe
# released under the GPL v2

from distutils.core import setup
import os, sys
import glob


def main():
    
    data_files = glob.glob("epidermis/data/*")  # data_files a list of strings
    # of the relative paths of all non-py files that should be included
    # ex: data_files is ['epidermis/data/creator.glade', 'epidermis/data/epidermis.glade', ...]
    
    setup( name="epidermis", # this should start with a lowercase letter 
        #so that it can be used as a debian package name later on
    version="0.21", # string, version of your program, not python version
    description="Epidermis theme manager for your GNOME desktop on Ubuntu", # short
    author="David D Lowe",
    author_email="daviddlowesemail@whatever.com",
    url="http://epidermis.tuxfamily.org", # home page for end-users
    license="GPL v2",
    packages=["epidermis", "epidermis.pigments"], # python packages, not debian packages
    data_files=[('share/epidermis/data/', data_files), 
        ('/usr/share/applications', ['epidermis/data/epidermis.desktop']),
        ('/usr/share/pixmaps', ['epidermis/data/epidermis.svg']),
        ('/usr/share/gconf/schemas', ['epidermis/data/epidermis.schemas'])], # data_files is a list of tuples
            # each tuple contaning an installation path and a list of data files
    scripts=["runner/epidermis"], # the script that should be run and installed in /usr/bin
    classifiers=["Development Status :: 5 - Production/Stable", "Intended Audience :: End Users/Desktop", "License :: OSI Approved :: GNU General Public License (GPL)", "Operating System :: POSIX :: Linux"],
        # a bunch of optional tags, a list of classifiers can be found at http://pypi.python.org/pypi?:action=list_classifiers
    long_description="""Epidermis changes the appearance of your Ubuntu GNOME desktop in all its aspects in one click. Epidermis 'skins' change the appearance of your desktop wallpaper, Metacity windows border theme, your GTK controls theme, your icon theme, your mouse cursor theme, your GRUB bootsplash screen, your GDM login screen theme and your Usplash boot splash image.
Each of these customisations are downloaded in 'pigments' which are available from an Epidermis 'repository'.
Epidermis was written in python with pygtk.
Find more information at http://epidermis.tuxfamily.org and https://launchpad.net/epidermis/""")

if __name__ == "__main__":
    main()
